diff --git a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
index b540647..da52f74 100644
--- a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
+++ b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
@@ -44,7 +44,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
           name: 'reload_configuration', node: 'server', module: this,
           applies: ['tools', 'context'], callback: 'reload_configuration',
           category: 'reload', priority: 6, label: '{{ _('Reload Configuration...') }}',
-          icon: 'fa fa-repeat', enable : 'is_connected'
+          icon: 'fa fa-repeat', enable : 'enable_reload_config'
         }]);
 
         pgBrowser.messages['PRIV_GRANTEE_NOT_SPECIFIED'] =
@@ -58,6 +58,12 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
       is_connected: function(node) {
         return (node && node.connected == true);
       },
+      enable_reload_config: function(node) {
+        if (node && node._type == "server" && node.connected == true) {
+            return true;
+        }
+        return false;
+      },
       callbacks: {
         /* Connect the server */
         connect_server: function(args){
